Take the 2-minute tour ×
Webmasters Stack Exchange is a question and answer site for pro webmasters. It's 100% free, no registration required.

I've inherited the development of a site that I designed but did not build - actually two sites. http://kenbrook.org and http://kenbrookyouth.com (same site also via http://youth.kenbrook.org).

So recently kenbrook.org started displaying a red warning page when entering the site via Google's Chrome browser that said the site contained either malware or links to a site with known malware. After some research and help from other StackExchange users on this post, I discovered there was an added piece in one of my javascripts that was the issue. I don't even know how the script additions got there, or what they were really linking to, but I removed them and all was well (again, I didn't build that site so I'm not even familiar much with the scripts yet).

But now the same Google warning is appearing for kenbrookyouth.com (youth.kenbrook.org) and I'm not sure where to start with looking for the problem.

Any tips? And no, I don't think the same script that was vulnerable on the other site even exists on this site.

share|improve this question
2  
Props on the Graphic Design, but an SEO keyword nightmare! –  bpeterson76 Oct 6 '10 at 17:38
    
Ugh...yes, I know. To be fair the developer really wasn't a developer per se, more of an IT guy - so, well you get it. –  Joel Glovier Oct 6 '10 at 17:42
add comment

2 Answers

up vote 2 down vote accepted

See this

It's almost certain that one of your open source scripts has been compromised. Not a "hack" on the site in the normal sense, but a script somewhere was bypassed, allowing them to script inject your site with some malicious code.

If you view the source of a page that's throwing the error, you should see some strange javascript, likely at or near the bottom of the page, that wasn't there before. That's what you remove.

Make sure you update your scripts if it was an open source piece of software that caused it. I've seen the problem with Joomla, Wordpress, phpBB, and phpMyAdmin. I'm sure others out there are vulnerable.

share|improve this answer
add comment

Sign up for Google Webmaster Tools and add those websites. There will be a message for you explaining why you are getting that message.

BTW, I don't get any warnings in Chrome when I visit that site.

share|improve this answer
    
I do have Webmaster Tools installed, and they send me a message, but there is no description about why or where it is coming from, just a gereral alert. (screenshot: cl.ly/2iN2) –  Joel Glovier Oct 6 '10 at 16:38
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.